<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Price Per Unit by Amasty
 */

namespace Amasty\PricePerUnit\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

interface UnitEntitySearchResultsInterface extends SearchResultsInterface
{
    /**
     * @return \Amasty\PricePerUnit\Api\Data\UnitEntityInterface[]
     */
    public function getItems();

    /**
     * @param \Amasty\PricePerUnit\Api\Data\UnitEntityInterface[] $items
     * @return void
     */
    public function setItems(array $items);
}
