<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Price Per Unit by Amasty
 */

namespace Amasty\PricePerUnit\Model\ResourceModel\UnitEntity;

use Amasty\PricePerUnit\Model\ResourceModel\UnitEntity as UnitEntityResource;
use Amasty\PricePerUnit\Model\UnitEntity;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    protected function _construct()
    {
        $this->_init(UnitEntity::class, UnitEntityResource::class);
    }
}
