<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Price Per Unit by Amasty
 */

use Amasty\PricePerUnit\Model\ResourceModel\UnitEntity;
use Amasty\PricePerUnit\Model\UnitEntity\Delete;
use Amasty\PricePerUnit\Model\UnitEntityFactory;
use Magento\TestFramework\Helper\Bootstrap;

$objectManager = Bootstrap::getObjectManager();

$unitDelete = $objectManager->get(Delete::class);
$unitRepository = $objectManager->create(UnitEntity::class);
$unit = $objectManager->create(UnitEntityFactory::class)->create();

$unitRepository->load($unit, 'unit1', 'name');
if ($unit->getId()) {
    $unitDelete->delete($unit);
}
